wmix(1x)

NAME
wmix - Dockapp mixer for OSS or ALSA

SYNOPSIS
wmix [options...]
wmix -h

DESCRIPTION
Docked application to control audio mixer for OSS or ALSA. Allows toggling record source, muting individual channels, adjusting volume and balance, all in a compact dockapp size, with TV-like on-screen-display for volume levels.

Supports mouse wheel to adjust current channel's volume, supports also the volume control keys on “multimedia” keyboards and can be controlled remotely with unix signals SIGUSR1/SIGUSR2 to raise/lower the volume. Keeps a simple configuration file for user-defined settings.

OPTIONS

-a <api>
    Use this sound API (oss or alsa, default is alsa).

-d <display>
    Connect to remote X display

-e <name>
    Exclude channel from control (see CHANNEL NAMES below)

-f <file>
    Use config file instead of ~/.wmixrc

-h  Display list of command-line options

-k  Disable grabbing the audio volume control keys on keyboard (see BUGS below)

-m <device>
    For oss, use specified mixer device instead of /dev/mixer. For alsa, use specified card name instead of default.

-v  Verbose start, report detected channels

CONFIGURATION FILE
If readable, the file ~/.wmixrc (or the file specified through -f option) is read on startup. It may contains one configuration command per line:

api=<api>
    Use this sound API (same as -a option).

device=<mixer_device>
    For oss, defines the device file to use instead of /dev/mixer. For alsa, defines the audio card to use instead of default.

exclude=<channel_name>
    exclude the specified channel from control, you can use it as many times as needed (see CHANNEL NAMES below)

mousewheel=<0|1>
    when set to 0, disable the volume control through mouse wheel (default=1)

osd=<0|1>
    when set to 0, disable display of the volume in an OSD like fashion (default=1)

osdcolor=<color>
    specify the color to use for OSD volume display. It can be the name of a color (see /usr/share/X11/rgb.txt) or an RGB specification (as rgb:<red>/<green>/<blue> with hexadecimal numbers) as expected by X11 (default=green)

scrolltext=<0|1>
    when set to 0, disable text scrolling to display the name of current selected channel, use static short name instead (default=1)

wheelbtn1=<button>
wheelbtn2=<button>
    defines the buttons events associated in X11 to the mouse wheel, with btn1 for up and btn2 for down (default: btn1=4 and btn2=5)

wheelstep=<percentage>
    sets the volume change step when using the mouse wheel, specified as a percentage of the total volume range (i.e.: 1 < value < 100, default=3)
    For compatibility, values between 0.0 and 1.0 will be considered as a raw percentage

You may include comments in the file using the character # in which case everything will be ignored from the character to the end of the line.

CHANNEL NAMES
The names for the different channels are provided by ALSA/OSS as short names, for which wmix provides a long name match for readability. The default behavior is to scroll the long name of the current channel in the text line of the dockapp, but if you disable the scroll text then the short name will be displayed instead.

If you want to exclude a channel from the list of channels controlled by the dockapp you have to use the short name. You can get the list of all the channels available in your sound card with wmix -v and the short name will be between parentheses, here is an example:

    Supported channels:
      1: Master volume      (Vol  )
      2: PC Speaker         (Spkr )
      3: PCM Wave 2 volume  (Pcm2 )
      4: Input gain         (IGain)
      5: Phone output       (PhoneOut)

FILES

~/.wmixrc
    User configuration file (change with option -f)

~/.wmix.pid
    Contains process id of wmix, in case you'd need it for SIGUSR1/SIGUSR2 volume control

/dev/mixer
    Device used for controlling volume (change with option -m or with command device in the config file)

/usr/share/doc/wmix/README
    More information on the user interface

BUGS
The mute functionality is implemented by setting the volume to 0 and remembering the previous volume to restore it when unmuting. While this is perfectly ok, you may encounter strange looking behavior if you have other application controlling the volume, and possibly implementing mute in similar ways, because there is no way to know that a channel has been muted.

The X server allows only one application at a time to place a grab on a key, so if another application already claimed the volume control keys then wmix will warn you about it and continue without the functionality. If on the other hand you encounter problem with applications that do not work because they could not grab these keys (a typical symptom is an X Error of type BadAccess with major opcode 33 X_GrabKey), you can ask wmix to not grab them using the command line option -k.

If you modify the configuration file, do not expect wmix to reload it automatically, this is considered a too costly feature for such a small application.

AUTHORS
This man page was written by Fredrik Steen <stone@debian.org> for the Debian distribution. It was expanded by Christophe CURIS for the Window Maker Dev Team.

wmix was written by Tim, timecop <timecop@japan.co.jp>, with some code by Daniel Richard G. <skunk@mit.edu> and some addition by Christophe CURIS.